> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all feed generators



## OpenAPI

````yaml /api-reference/openapi.json get /app.rocksky.feed.getFeedGenerators
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.rocksky.app/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: app.rocksky.actor
  - name: app.bsky.actor
  - name: app.rocksky.album
  - name: app.rocksky.apikey
  - name: app.rocksky.apikeys
  - name: app.rocksky.artist
  - name: app.rocksky.charts
  - name: app.rocksky.feed
  - name: app.rocksky.graph
  - name: app.rocksky.like
  - name: app.rocksky.mirror
  - name: app.rocksky.player
  - name: app.rocksky.playlist
  - name: app.rocksky.playlistItem
  - name: app.rocksky.scrobble
  - name: app.rocksky.shout
  - name: app.rocksky.song
  - name: app.rocksky.spotify
  - name: app.rocksky.stats
  - name: com.atproto.repo
paths:
  /app.rocksky.feed.getFeedGenerators:
    get:
      tags:
        - app.rocksky.feed
      summary: Get all feed generators
      operationId: app.rocksky.feed.getFeedGenerators
      parameters:
        - name: size
          in: query
          description: The maximum number of feed generators to return.
          required: false
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.rocksky.feed.defs.feedGeneratorsView'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    app.rocksky.feed.defs.feedGeneratorsView:
      type: object
      properties:
        feeds:
          type: array
          items:
            $ref: '#/components/schemas/app.rocksky.feed.defs.feedGeneratorView'
    app.rocksky.feed.defs.feedGeneratorView:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        description:
          type: string
        uri:
          type: string
          format: at-uri
        avatar:
          type: string
          format: uri
        creator:
          $ref: '#/components/schemas/app.rocksky.actor.defs.profileViewBasic'
    app.rocksky.actor.defs.profileViewBasic:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the actor.
        did:
          type: string
          description: The DID of the actor.
        handle:
          type: string
          description: The handle of the actor.
        displayName:
          type: string
          description: The display name of the actor.
        avatar:
          type: string
          description: The URL of the actor's avatar image.
          format: uri
        createdAt:
          type: string
          description: The date and time when the actor was created.
          format: date-time
        updatedAt:
          type: string
          description: The date and time when the actor was last updated.
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````